package net.mysoftworks.modulecompiler.model.meta;


import net.mysoftworks.modulecompiler.model.values.RawValue;
import net.mysoftworks.modulecompiler.model.visitor.MetaFieldVisitor;

import javax.persistence.*;

/**
 * MetaAnagraficaField generated by hbm2java
 */
@Entity
@DiscriminatorValue("ANAG")
public class MetaAnagraficaField extends MetaField implements java.io.Serializable {
	private static final long serialVersionUID = 1L;

	public MetaAnagraficaField(){super(BUSINESS_FIELD_TYPE.ANAG);	}
	public MetaAnagraficaField(MetaAnagraficaField source) {
		super(source);
	}

	@Column(name="JAVA_TYPE")
	private String entity;

	public String getEntity() {
		return entity;
	}

	public void setEntity(String entity) {
		this.entity = entity;
	}

	public void accept(MetaFieldVisitor visitor) {
		visitor.visit(this);
	}

	@Override
	public Object viewValue(RawValue rawValue) {
		if (rawValue==null) return null;
		return rawValue.getLongValue();
	}

}
